[bumpversion]
current_version = 0.0.1
commit = True
tag = True

[bumpversion:file:VERSION]

[bumpversion:file:.github/workflows/deploy_python_package.yml]
search = PACKAGE_VERSION: {current_version}
replace = PACKAGE_VERSION: {new_version}

[bumpversion:file:pyproject.toml]
search = version = "{current_version}"
replace = version = "{new_version}"

[bumpversion:file:django_pid/__init__.py]
search = __version__ = "{current_version}"
replace = __version__ = "{new_version}"

[bumpversion:file:docker/requirements/production.txt]
search = django-pid=={current_version}
replace = django-pid=={new_version}

[bumpversion:file:docker/Dockerfile.dev]
search = LABEL version="{current_version}"
replace = LABEL version="{new_version}"